import { OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { Observable } from 'rxjs';
import { NgxHttpLoaderService } from './ngx-http-loader.service';
import { NgxHttpLoaderInterceptor } from './ngx-loader-interceptor.service';
import * as i0 from "@angular/core";
export declare class NgxHttpLoaderComponent implements OnInit {
    private requestService;
    service: NgxHttpLoaderService;
    sanitizer: DomSanitizer;
    customEnumLoader: {
        DEFAULT: string;
        CLOCK: string;
        DUALRING: string;
        ELLIPSIS: string;
        FACEBOOK: string;
        GEAR: string;
        GRID: string;
        HEART: string;
        HOURGLASS: string;
        JELLYBOX: string;
        MULTICIRCLE: string;
        RING: string;
        RIPPLE: string;
        ROLLER: string;
        SPINNER: string;
        THREEBOUNCE: string;
        WATERWAVE: string;
        ROTATINGPLANE: string;
    };
    customTemplate: TemplateRef<any>;
    customLoader: TemplateRef<any>;
    loader: string | null;
    filterUrlRegexPatterns: RegExp[];
    filterUrls: string[];
    filterHttpHeaders: string[];
    filterHttpMethods: string[];
    delay: number;
    extraDelay: number;
    minDuration: number;
    opacity: number;
    backdropBackgroundColor: string;
    iconColor: string;
    title: string;
    titleColor: string;
    titleSize: string;
    subTitle: string;
    subTitleColor: string;
    subTitleSize: string;
    custom: boolean;
    show$: Observable<boolean>;
    private showuntil;
    constructor(requestService: NgxHttpLoaderInterceptor, service: NgxHttpLoaderService, sanitizer: DomSanitizer);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    initAllFilters(): void;
    initShowObservable(): void;
    private updateHideDelay;
    private showUpto;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxHttpLoaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxHttpLoaderComponent, "ngx-http-loader", never, { "customTemplate": { "alias": "customTemplate"; "required": false; }; "customLoader": { "alias": "customLoader"; "required": false; }; "loader": { "alias": "loader"; "required": false; }; "filterUrlRegexPatterns": { "alias": "filterUrlRegexPatterns"; "required": false; }; "filterUrls": { "alias": "filterUrls"; "required": false; }; "filterHttpHeaders": { "alias": "filterHttpHeaders"; "required": false; }; "filterHttpMethods": { "alias": "filterHttpMethods"; "required": false; }; "delay": { "alias": "delay"; "required": false; }; "extraDelay": { "alias": "extraDelay"; "required": false; }; "minDuration": { "alias": "minDuration"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "backdropBackgroundColor": { "alias": "backdropBackgroundColor"; "required": false; }; "iconColor": { "alias": "iconColor"; "required": false; }; "title": { "alias": "title"; "required": false; }; "titleColor": { "alias": "titleColor"; "required": false; }; "titleSize": { "alias": "titleSize"; "required": false; }; "subTitle": { "alias": "subTitle"; "required": false; }; "subTitleColor": { "alias": "subTitleColor"; "required": false; }; "subTitleSize": { "alias": "subTitleSize"; "required": false; }; "custom": { "alias": "custom"; "required": false; }; }, {}, never, never, false, never>;
}
